Bug 676045 - file doesn't detect RPM architecture
Summary: file doesn't detect RPM architecture
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 676041
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-08 17:24 UTC by Petr Šabata
Modified: 2011-07-13 08:49 UTC (History)
4 users (show)

Fixed In Version: file-5.04-8.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, the file utility could have been unable to recognize RPM files for certain supported architectures. This update improves the file type recognition, and the RPM files for all supported architectures are now correctly identified as expected.
Clone Of: 676041
: 751032 (view as bug list)
Environment:
Last Closed: 2011-07-13 08:49:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed patch (1.40 KB, patch)
2011-02-09 07:35 UTC, Jan Kaluža
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0934 normal SHIPPED_LIVE file bug fix update 2011-09-07 13:38:51 UTC

Description Petr Šabata 2011-02-08 17:24:54 UTC
+++ This bug was initially created as a clone of Bug #676041 +++

Description of problem:
file doesn't detect certain architectures of RPM files, e.g. ppc64 or s390x.

Version-Release number of selected component (if applicable):
All.

How reproducible:
Always.

Steps to Reproduce:
1. file foo-1.0-1.ppc64.rpm
  
Actual results:
RPM v3.0 bin

Expected results:
RPM v3.0 bin PowerPC 64
(or similar)

Additional info:
File doesn't recognize RPM arches for ppc64, s390, s390x and possibly others.

Comment 2 Jan Kaluža 2011-02-09 07:35:09 UTC
Created attachment 477751 [details]
proposed patch

Comment 5 Petr Kovar 2011-06-24 11:43:39 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the file utility could have been unable to recognize RPM files for certain supported architectures. This update improves the file type recognition, and the RPM files for all supported architectures are now correctly identified as expected.

Comment 8 errata-xmlrpc 2011-07-13 08:49:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0934.html


Note You need to log in before you can comment on or make changes to this bug.